set height 0
set width  0

break main
run

# Setting syscalls observation points

# Kernel observation points

break recv
#break socket
break send
break wait4
break clone
# break connect
break shutdown
break sigreturn
break listen
# break kill
break bind
# break getsockname
break accept
# break getpeername
break sigsuspend
break sigreturn
break pipe
break gettimeofday

# C lib observation point

break wait
break waitpid
break wait3
break wait4
break waitid
break sleep
break nanosleep
break usleep
break pause
break sigpause
break pthread_cond_wait
break pthread_cond_timedwait_relative
break pthread_cond_timedwait
break pthread_barrier_wait
break sigwait
break sem_timedwait
break sigtimedwait
break sigwaitinfo
break select
break pselect

# Semaphore related operations

break new_sem_extricate_func
break sem_open
break sem_close
break sem_unlink
break sem_timedwait
break old_sem_extricate_func
break sem_restart_list
break sigisemptyset
break semop
break semget
break semctl
break semctl

# pthread lib observation points

break __pthread_create_2_1
break __pthread_manager

# Orbacus Specific Observation Points

# Workaround
info functions OB::GIOPServerStarterThreaded::StarterThread::StarterThread
break OB::GIOPServerStarterThreaded::StarterThread::StarterThread
info functions  OB::GIOPServerWorkerThreaded::ReceiverThread::ReceiverThread
break OB::GIOPServerWorkerThreaded::ReceiverThread::ReceiverThread


# Lock and mutex related operations

# break pthread_mutex_trylock
# break pthread_mutex_lock
# break pthread_mutex_timedlock
# break pthread_mutex_unlock
# break rwlock_can_rdlock
# break pthread_rwlock_rdlock
# break pthread_rwlock_timedrdlock
# break pthread_rwlock_tryrdlock
# break pthread_rwlock_wrlock
# break pthread_rwlock_timedwrlock
# break pthread_rwlock_trywrlock
# break pthread_rwlock_unlock
# break try_lock
# break pthread_spin_lock
# break pthread_spin_trylock
# break pthread_spin_unlock
# break sigblock
# break clock
# break mlock
# break munlock
# break pthread_mutex_lock
# break pthread_mutex_unlock
# break flockfile
# break funlockfile
# break ftrylockfile
# break flockfile
# break funlockfile
# break ftrylockfile
# break lockf
# break lockf64
# break mlock
# break mlockall
# break munlock
# break munlockall
# break unlockpt

# handle SIGINT pass

define hook-stop
    echo \nHitBreakpoint ***\n\n
    backtrace
    continue
end

echo START-OBSERVATION\n

continue


