/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * ToDotCommand.java
 * 
 * Time-stamp: <02/08/26 12:57:59 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: ToDotCommand.java,v 1.3 2003/11/17 13:35:19 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.0.3
 */
public class ToDotCommand extends AbstractToDotCommand {

    public ToDotCommand() {
	super("2dot") ;
	this.setShortDescription
	    ( "outputs the graph contained in a variable to a dot file." ) ;
	this.setLongDescription
	    ( "'2dot <aVar> <aFileName>' outputs the graph contained " +
	      "in the variable <aVar> to the dot file '<aFileName>'." ) ;
    } // EndConstructor ToDotCommand
	
    public boolean handleCall(String[] args) throws Exception {
	return super.handleCallWithRawFormatOrNot(args,false);
    }// EndMethod handleCall

} // EndClass ToDotCommand
