/**
 * ToDotRawCommand.java
 * 
 * Time-stamp: <2003-11-17 14:41:54 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * $Id: ToDotRawCommand.java,v 1.2 2003/11/17 13:42:00 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands  ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 */
public class ToDotRawCommand extends AbstractToDotCommand {

    public ToDotRawCommand() {
	super("2dotraw") ;
	this.setShortDescription
	    ( "outputs a call graph to a dot file in raw format." ) ;
	this.setLongDescription
	    ( "'2dotraw <aVar> <aFileName>' outputs the call graph contained " +
	      "in the variable <aVar> to the dot file '<aFileName>' in raw format." ) ;
	addAlias("2dr");
    } // EndConstructor ToDotRawCommand
	
    public boolean handleCall(String[] args) throws Exception {
	return super.handleCallWithRawFormatOrNot(args,true);
    }// EndMethod handleCall

} // EndClass ToDotRawCommand
