/**
 * GraphRecipientCreationListener.java
 * 
 * Time-stamp: <2003-11-17 18:17:20 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * $Id: GraphRecipientCreationListener.java,v 1.1 2003/11/17 18:01:00 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.graphAnalysis  ;

/**
 * This listener is used in {@link GenericXMLReader} to notify
 * the creation of graph objects to contain the graphs that are read
 * from a stream.
 * @author Francois Taiani   <taiani@laas.fr>
 */
public interface GraphRecipientCreationListener {

    public void aGraphRecipientWasCreated(DirectedGraphWithDict createdGraph) ;

} // EndClass GraphRecipientCreationListener
