/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * TestMonitorGDB.h
 * 
 * Francois Taiani   <taiani@laas.fr>
 * Time-stamp: <2003-01-29 13:02:18 ftaiani>
 * 
 */
#ifndef TESTMONITORGDB_H
#define TESTMONITORGDB_H

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

#include "MonitorGDB.h"

class TestMonitorGDB 
  : public CppUnit::TestFixture , 
    public MonitorGDB 
{

  CPPUNIT_TEST_SUITE( TestMonitorGDB );

  CPPUNIT_TEST( testContinueUntillBreakpointOnFunction );

  CPPUNIT_TEST_SUITE_END();

public:
  void testContinueUntillBreakpointOnFunction() ;

} // EndClass TestMonitorGDB


#endif // TESTMONITORGDB_H
